Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 953361 - Source document name search triggers delete confirmation.
Source document name search triggers delete confirmation.
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Retired
Component: Usability (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-17 23:59 EDT by David Mason
Modified: 2013-11-26 22:22 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.3-SNAPSHOT (20130419-0036)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:22:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2013-04-17 23:59:32 EDT
Description of problem:
On the source documents page, pressing Enter key when the document name search is focused triggers a search as it should, but also shows a popup with "Are you sure you want to delete this document?". Pressing 'OK' on the dialog will delete a document, which appears to be the first document displayed in the list after the search has returned results.


Version-Release number of selected component (if applicable):
2.2

How reproducible:
Always

Steps to Reproduce:
1. Sign in and navigate to source documents page with 1 or more source documents
2. Click in the search field at the top of the 'Name' column
3. Press the Enter key (typing before pressing enter makes no difference)
  
Actual results:
Modal popup is shown asking whether to delete a document. Search completes after dialog is closed.

Expected results:
No delete operation is triggered. Only search is performed.

Additional info:
Comment 1 David Mason 2013-04-18 00:01:03 EDT
Fixed in 2.3-SNAPSHOT

See:  https://github.com/zanata/zanata/commit/afa8efce991a43f00b798b551b0a64c495d15299
Comment 2 Ding-Yi Chen 2013-04-18 22:28:45 EDT
VERIFIED with Zanata version 2.3-SNAPSHOT (20130419-0036)
Comment 3 Sean Flanigan 2013-11-26 22:22:20 EST
Closing bugs which were VERIFIED with snapshots <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.